Subject: bug#9361: 24.0.50; default value of `dired-do-chmod'

From: Juri Linkov <[email-masked]>
Date: Mon, 12 Sep 2011 14:39:47 +0300

> In the _very_ long thread cited by Juri, there was only one comment on this
> proposal for a default value for `dired-do-chmod' etc. It was from RMS:
>
>  "I am not sure that this is very useful.  What are the values
>   you think of providing?"
>
> There was no followup, and this was never approved.

There was followup, but off-list unfortunately.  I replied to RMS with:

  "The values are file attributes of all marked files (modes for M,
   owners for O, groups or G, timestamps for T).  But now I see that
   these values are not very useful, so I withdraw my proposal."

And RMS encouraged to do this for just one marked file:

  "When there is just one marked file, the feature could indeed be useful.
   So I suggest you limit it to that case, and document clearly where the
   default comes from, so that people will know how they can make use
   of the feature."

> In reality, it is an argument for having a separate command to copy the settings
> (all of them) from the current line and then having, as default value for each
> of the `*ch*' commands, the value taken from that copied setting.  And this
> would apply across Dired buffers, giving you an easy way to apply a particular
> set of values (settings).  It could perhaps also apply to other Dired commands,
> such as `touch' (dunno).

Isn't what `M-.' you proposed earlier should do, i.e. pull the value
from the buffer where the command was called?